# MUX API

The API returns the MUXLP price and the liquidity distribution.

## Endpoint

Get all assets liquidity info of MUX protocol.

```
https://app.mux.network/api/liquidityAsset
```

## Response

| Field              | Description                                                  |
| ------------------ | ------------------------------------------------------------ |
| status             | 0 for success. -1 for internal error. -2 for invalid request |
| totalValue         | Total pool value in dollars                                  |
| stableUtilization  | %utilization of stable coins                                 |
| muxLPPrice         | MUXLP price in dollars                                       |
| muxLPTotalBalance  | MUXLP token balance in all chains                            |
| isLPPriceAvailable | true if add/remove liquidity is enabled                      |
| assets             | Listed assets on MUX                                         |
| distribution       | Distribution of assets on each chain                         |

Structure of "assets":

| Field             | Description                                                               |
| ----------------- | ------------------------------------------------------------------------- |
| symbol            | Asset symbol like "ETH", "BTC", ...                                       |
| isStable          | Is a stable coin                                                          |
| price             | Asset price                                                               |
| value             | Asset total value on all chains in US dollars                             |
| lpBalance         | Asset amount in MUXLP pool                                                |
| credit            | Asset credit amount for MUX Aggregator                                    |
| longs             | Long position size                                                        |
| shorts            | Short position size                                                       |
| targetWeight      | Target weight of asset                                                    |
| actualWeight      | Actual weight of asset in MUXLP pool                                      |
| utility           | Margin trading utilization                                                |
| availableForLong  | Available long position size                                              |
| availableForShort | Available short position size                                             |
| liquidityOnChains | Asset value on each chain and asset amount can be removed from each chain |

Structure of "distribution":

| Field            | Description                                                                                                                                                                                |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| muxMarginTrading | margin trading value (long positions and short positions) on all chains in US dollars                                                                                                      |
| dexs             | Third party DEXes list on MUX, in which "value" means total value in the DEX in US dollars, "targetWeight" means target weight of this DEX, "actualWeight" means actual weight of this DEX |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mux.network/protocol/api-liquidity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
